QuantLib: RiskyAssetSwap Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
RiskyAssetSwap Class Reference

Risky asset-swap instrument. More...

`#include <ql/experimental/credit/riskyassetswap.hpp>`

Inheritance diagram for RiskyAssetSwap:
[legend]

## Public Member Functions
| RiskyAssetSwap (bool fixedPayer, Real nominal, const Schedule &fixedSchedule, const Schedule &floatSchedule, const DayCounter &fixedDayCounter, const DayCounter &floatDayCounter, Rate spread, Rate recoveryRate_, const Handle< YieldTermStructure > &yieldTS, const Handle< DefaultProbabilityTermStructure > &defaultTS, Rate coupon=Null< Rate >())
Real | fairSpread ()
Real | floatAnnuity () const
Real | nominal ()
Rate | spread ()
bool | fixedPayer ()
Public Member Functions inherited from Instrument
virtual void | setupArguments (PricingEngine::arguments *) const
virtual void | fetchResults (const PricingEngine::results *) const
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const boost::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from Instrument
void | calculate () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from Instrument
boost::shared_ptr< PricingEngine > | engine_
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

Risky asset-swap instrument.